/**
 * Created by zhang on 2018/9/10.
 */

let express = require("express");
let feeRateRouter =express.Router();
import FeeRateController from "../controllers/fee_rate_controller";
let feeRateController = new FeeRateController();

module.exports =function (app) {

    feeRateRouter.get("/main", feeRateController.auth, feeRateController.init, feeRateController.main);
    feeRateRouter.post("/addLib", feeRateController.auth, feeRateController.init, feeRateController.addLib);
    feeRateRouter.post("/findLib", feeRateController.auth, feeRateController.init, feeRateController.findLib);
    feeRateRouter.post("/saveLib", feeRateController.auth, feeRateController.init, feeRateController.saveLib);
    feeRateRouter.post("/deleteLibByID", feeRateController.auth, feeRateController.init, feeRateController.deleteLibByID);
    feeRateRouter.get("/edit/:libID", feeRateController.auth, feeRateController.init, feeRateController.edit);


    app.use("/feeRate", feeRateRouter);
};